Package org.apache.sling.dynamicinclude.generator.types

## Class SsiGenerator

- java.lang.Object
- - org.apache.sling.dynamicinclude.generator.types.SsiGenerator

All Implemented Interfaces:
  `IncludeGenerator`

    public class SsiGenerator
    extends java.lang.Object
    implements IncludeGenerator

Apache SSI include generator

### Constructor Summary

Constructors
`SsiGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getInclude​(org.apache.sling.api.SlingHttpServletRequest request, java.lang.String url)` Returns the string used to include the resource.
`java.lang.String` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SsiGenerator

    public SsiGenerator()

### Method Detail

#### getType

    public java.lang.String getType()

Specified by:
  `getType` in interface `IncludeGenerator`

#### getInclude

    public java.lang.String getInclude​(org.apache.sling.api.SlingHttpServletRequest request,
                                       java.lang.String url)

Description copied from interface: `IncludeGenerator`
Returns the string used to include the resource. For example, this might be a Javascript code that retrieves a snippet of html, an Apache SSI Tag, or an Edge Side Include Tag.

This method receives the sling request and an Url that has already be normalized as followed:

- The query string has been removed
- The Url has been mapped using the ResourceResolver
- The jcr:content paths have been encoded to _jcr_content.

Specified by:
  `getInclude` in interface `IncludeGenerator`
Parameters:
  `request` - the Sling request object
  `url` - the requested url, normalized
Returns:
  a String used to include the resource